Environment Copy - Get Environment Copy Candidates
Gets the list of environments that can be copied as the target environment.
GET https://api.powerplatform.com/environmentmanagement/environments/{sourceEnvironmentId}/copyCandidates?api-version=2024-10-01
GET https://api.powerplatform.com/environmentmanagement/environments/{sourceEnvironmentId}/copyCandidates?ValidateOnly={ValidateOnly}&ValidateProperties={ValidateProperties}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
source
|
path | True |
string |
The ID of the source environment to copy from. |
|
api-version
|
query | True |
string |
The API version. |
|
Validate
|
query |
boolean |
When true, validates the request without executing it. Use with validateProperties to validate only specific fields. If validateProperties is empty, the entire request is validated. Defaults to false (validate and execute). |
|
|
Validate
|
query |
string |
A comma-separated list of property names to validate (for example, "property1,property2"). Applies only when validateOnly is true. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
Unauthorized Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
Forbidden Media Types: "text/plain", "application/json", "text/json" |
|
| 404 Not Found |
Not Found Media Types: "text/plain", "application/json", "text/json" |
|
| 429 Too Many Requests |
Too Many Requests Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Environment |
Power Platform environment. |
|
Environment |
|
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Validation |
Represents the response for validation of an operation. |
Environment
Power Platform environment.
| Name | Type | Description |
|---|---|---|
| dataverseOrganizationUrl |
string |
Dataverse organization URL of the environment. |
| displayName |
string |
Display name of the environment. |
| environmentId |
string |
The environment ID. |
EnvironmentPagedCollection
| Name | Type | Description |
|---|---|---|
| collection |
Power Platform environment. |
|
| continuationToken |
string |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |